summaryrefslogtreecommitdiff
path: root/tests/chmod/umask-x
diff options
context:
space:
mode:
Diffstat (limited to 'tests/chmod/umask-x')
-rwxr-xr-xtests/chmod/umask-x4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/chmod/umask-x b/tests/chmod/umask-x
index b95d9d588..6bd1e0831 100755
--- a/tests/chmod/umask-x
+++ b/tests/chmod/umask-x
@@ -1,7 +1,7 @@
#!/bin/sh
# Test that chmod -x file reports an error if the result is executable.
-# Copyright (C) 2005 Free Software Foundation, Inc.
+# Copyright (C) 2005, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -27,7 +27,7 @@ fi
pwd=`pwd`
tmp=minus.$$
-trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
framework_failure=0